package com.reyun.service;

import com.reyun.model.Notice;
import com.reyun.model.UserNoticeLog;

import java.util.List;

/**
 * Created by sunhao on 17/3/1.
 */
public interface NoticeService {

    /**
     * 查询最新3条公告和置顶公告,标示已读和未读
     * @param accountId
     * @return
     */
     List<Notice> listRecentDeployNotice(Long accountId);

    /**
     * 存储用户已读公告数据
     * @param userNoticeLog
     * @return
     */
     UserNoticeLog saveReadLog(UserNoticeLog userNoticeLog);
}
